package Camera;

@SuppressWarnings("unused")
public class ArducamIMX477Preset {
    public static final int V4L2_ID_Brightness = 0x00980900;
    public static final CameraProperty Brightness = new CameraProperty(-64, 64, 0);
    public static final int V4L2_ID_Contrast = 0x00980901;
    public static final CameraProperty Contrast = new CameraProperty(0, 64, 32);
    public static final int V4L2_ID_Hue = 0x00980903;
    public static final CameraProperty Hue = new CameraProperty(-40, 40, 0);
    public static final int V4L2_ID_Saturation = 0x00980902;
    public static final CameraProperty Saturation = new CameraProperty(0, 128, 64);
    public static final int V4L2_ID_Gamma = 0x00980910;
    public static final CameraProperty Gamma = new CameraProperty(72, 500, 100);
    public static final int V4L2_ID_Gain = 0x00980913;
    public static final CameraProperty Gain = new CameraProperty(0, 100, 0);
    public static final int V4L2_ID_AutoWhiteBalance = 0x0098090c;
    public static final OnOffProperty AutoWhiteBalance = new OnOffProperty(1, 0, 1);
    public static final int V4L2_ID_PowerLineFrequency = 0x00980918;
    public static final CameraProperty PowerLineFrequency = new CameraProperty(0, 2, 1);    // 0 = disable, 1 = 50Hz, 2 = 60Hz
    public static final int V4L2_ID_WhiteBalance = 0x0098091a;
    public static final CameraProperty WhiteBalance = new CameraProperty(2800, 6500, 4600);
    public static final int V4L2_ID_Sharpness =  0x0098091b;
    public static final CameraProperty Sharpness = new CameraProperty(0, 6, 3);
    public static final int V4L2_ID_BacklightCompensation = 0x0098091c;
    public static final CameraProperty BacklightCompensation = new CameraProperty(0, 2, 1);
    public static final int V4L2_ID_AutoExposure = 0x009a0901;
    public static final OnOffProperty AutoExposure = new OnOffProperty(3, 1, 3);    // 1 = Manual 3 = Aperture Priority
    public static final int V4L2_ID_ExposureTime = 0x009a0902;
    public static final CameraProperty ExposureTime = new CameraProperty(1, 5000, 157);
    public static final int V4L2_ID_ExposureDynamicFramerate = 0x009a0903;
    public static final OnOffProperty ExposureDynamicFramerate = new OnOffProperty(1, 0, 0);
    public static final int V4L2_ID_AutoFocus = 0x009a090c;
    public static final OnOffProperty AutoFocus = new OnOffProperty(1, 0, 1);
}

